﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace Chapter_11_PensAndBrushes
{
    public partial class Window1
    {
        public Window1()
        {
            this.InitializeComponent();

            // Insert code required on object creation below this point.
        }

        private void btnApplyStroke_Click(object sender, RoutedEventArgs e)
        {
            SolidColorBrush SimpleBrush = new SolidColorBrush();
            SimpleBrush.Color = Colors.Red;

            this.recDemo.Stroke = SimpleBrush;
            this.recDemo.StrokeThickness = 3;

            DoubleCollection DashCollection = new DoubleCollection(4);
            DashCollection.Add(6);
            DashCollection.Add(3);
            DashCollection.Add(9);
            DashCollection.Add(3);

            this.recDemo.StrokeDashArray = DashCollection;
            this.recDemo.StrokeDashCap = PenLineCap.Round;


        }

        private void btnApplyFill_Click(object sender, RoutedEventArgs e)
        {

            GradientStopCollection GradientStops = new GradientStopCollection(3);

            GradientStop FirstStop = new GradientStop();
            FirstStop.Color = Color.FromRgb(0, 143, 255);
            FirstStop.Offset = 0.0;

            GradientStops.Add(FirstStop);
            GradientStops.Add(new GradientStop(Color.FromRgb(0, 0, 0), 0.8));
            GradientStops.Add(new GradientStop(Colors.White, 1.0));

            RadialGradientBrush RectRadial = new RadialGradientBrush();
            RectRadial.GradientStops = GradientStops;

            //Additional properties
            RectRadial.Center = new Point(0.2, 0.2);
            RectRadial.RadiusX = 0.5;
            RectRadial.RadiusY = 0.5;

            RectRadial.Freeze();

            this.recDemo.Fill = RectRadial;
        }
    }
}