﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace Chapter14_AnimationSample
{
	public partial class Window1
	{
		public Window1()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}

        

        private void btnCodeAnimationStart_Click(object sender, RoutedEventArgs e)
        {
            Storyboard myTimeline = this.TryFindResource("ShowEasing") as Storyboard;

            //Add the completed event handler
            myTimeline.Completed += new EventHandler(myTimeline_Completed);

            if (myTimeline != null)
                myTimeline.Begin(this);

            ControlTemplate CT = this.btnPropertyTrigger.Template as ControlTemplate;
            Storyboard mouseTimeline = CT.Resources["DoMouseMove"] as Storyboard;

            if (mouseTimeline != null)
                mouseTimeline.Begin(this.btnPropertyTrigger, CT);
        }

        void myTimeline_Completed(object sender, EventArgs e)
        {
            MessageBox.Show("Animation complete");
        }



	}
}