﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace Chapter14_TransparentWindow
{
	public partial class Window1
	{
		public Window1()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}

 

        private void Ellipse_MouseDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            this.DragMove();
        }

        private void btnSpawnWindow2_Click(object sender, RoutedEventArgs e)
        {
            Window2 NewWindow = new Window2();

            NewWindow.WindowStateChanged += new RoutedEventHandler(NewWindow_WindowStateChanged);
            NewWindow.Show();
        }

        void NewWindow_WindowStateChanged(object sender, RoutedEventArgs e)
        {            

            Window2.WINDOW_STATE CurrentState = (e.OriginalSource as Window2).CurrentWindowState  ;

            switch (CurrentState)
            {
                case Window2.WINDOW_STATE.Closed:
                    this.labNotify.Content = "Window2 is now Closed";
                    break;
                case Window2.WINDOW_STATE.Loaded:
                    this.labNotify.Content = "Window2 is now Loaded";
                    break;
                default:
                    break;
            }
        }
	}
}