﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;


using Microsoft.Win32;
using System.Windows.Media.Imaging;

namespace Chapter_09_LoadImage
{
	public partial class Window1
	{
		public Window1()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}

        void btnFindImage_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog OFD = new OpenFileDialog();
            OFD.Filter = "TIF | *.tif";
            OFD.ShowDialog();

            //Build the image to show in the scene
            BitmapImage NewImage = new BitmapImage(new Uri(OFD.FileName, UriKind.RelativeOrAbsolute));

            //Create a brush that we use to paint the UIElement with
            ImageBrush ImageToShow = new ImageBrush(NewImage);
            //Assign it to the scene object
            this.gdImageBoard.Background = ImageToShow;

             
        }
	}
}