using System;
using System.Collections.Generic;
using System.Text;

using System.Collections.ObjectModel;

namespace Chapter13_CLRDataBinding
{
    public class Patient_BINDER : ObservableCollection<Patient>
    {
        public Patient_BINDER()
        {
            this.BuildTestData();
        }

        private void BuildTestData()
        {
            Patient TestPatient = new Patient();
            TestPatient.FIRST_NAME = "Tom";
            TestPatient.LAST_NAME = "Jones";
            TestPatient.NOTES = "Tom has a problem with his throat, caused by smoking too much.";

            //Add this test object to the collection
            this.Add(TestPatient);

            //must null out the object now
            TestPatient = null;

            TestPatient = new Patient();
            TestPatient.FIRST_NAME = "Pamela";
            TestPatient.LAST_NAME = "Anderson";
            TestPatient.NOTES = "Pam has an injured back. She is unaware of what might be causing this problem.";

            //Add this test object to the collection
            this.Add(TestPatient);

        }
    }
}
