﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Input;

namespace Chapter_15_Commands
{
	public partial class Window1
	{
		public Window1()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
            CommandBinding cbNew = new CommandBinding();
            cbNew.CanExecute += new CanExecuteRoutedEventHandler(cbNew_CanExecute);
            cbNew.Executed += new ExecutedRoutedEventHandler(cbNew_Executed);

            //The command to attach to
            cbNew.Command = ApplicationCommands.New;

            //Add to our CommandBindings collection
            this.CommandBindings.Add(cbNew);

        }

        void cbNew_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Command New Fired!");
        }

        void cbNew_CanExecute(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = true;
        }



        
        private void btnFireCustom_Click(object sender, RoutedEventArgs e)
        {
            if (this.CommandBindings[0].Command.CanExecute(null))
                this.CommandBindings[0].Command.Execute(null);
        }

        private void btnFireNew_Click(object sender, RoutedEventArgs e)
        {

        }
	}
}