﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace Chapter_09_TabControlSample
{
	public partial class Window1
	{
		public Window1()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}



        private void CreateNewTabControl()
        {
            TabControl myTabControl = new TabControl();
            myTabControl.TabStripPlacement = Dock.Top;
            myTabControl.FlowDirection = FlowDirection.RightToLeft;

         
            //Define a TabItem for the items collection of the TabControl
            TabItem newTabItem = new TabItem();
            newTabItem.Header = "Tab Name 1";

            //Make a Grid element for the TabItems content
            Grid TabItemGrid = new Grid();
            TabItemGrid.Background = new SolidColorBrush(Color.FromRgb(255, 0, 0));

            newTabItem.Content = TabItemGrid;

            //Add the TabItem to the TabControl
            myTabControl.Items.Add(newTabItem);

            this.gdNewGrid.Children.Add(myTabControl);

        }

        private void btnAddTabControl_Click(object sender, RoutedEventArgs e)
        {
            CreateNewTabControl();
        }
	}
}